# mutex_m.rb

Path: | mutex_m.rb
Last Update: | Thu Jun 07 00:19:33 AUS Eastern Standard Time 2001

      mutex_m.rb -
          $Release Version: 3.0$
          $Revision: 1.7 $
          $Date: 1998/02/27 04:28:57 $
          Original from mutex.rb
          by Keiju ISHITSUKA(keiju@ishitsuka.com)
          modified by matz
          patched by akira yamada

—

      Usage:
          require "mutex_m.rb"
          obj = Object.new
          obj.extend Mutex_m
          ...
          extended object can be handled like Mutex
          or
          class Foo
            include Mutex_m
            ...
          end
          obj = Foo.new
          this obj can be handled like Mutex

[Validate]